"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadSFDX = void 0;
const path = __importStar(require("path"));
const parallel_1 = require("./parallel");
function loadSFDX() {
    let salesforce_alm_path = "";
    try {
        salesforce_alm_path = path.dirname(require.resolve("salesforce-alm"));
    }
    catch (error) {
        console.log(error);
        throw error;
    }
    parallel_1.registerNamespace({
        commandsDir: path.join(salesforce_alm_path, "commands"),
        namespace: "force",
    });
}
exports.loadSFDX = loadSFDX;
//# sourceMappingURL=GetNodeWrapper.js.map